Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class ObjectUsageCount

    java.lang.Object
      org.pentaho.di.core.ObjectUsageCount

All Implemented Interfaces:
  Comparable<ObjectUsageCount>, Comparator<ObjectUsageCount>

    public class ObjectUsageCount

extends Object
implements Comparator<ObjectUsageCount>, Comparable<ObjectUsageCount>

Constructor Summary
`ObjectUsageCount(String objectName, int nrUses)`

Method Summary
`int` | `compare(ObjectUsageCount count1, ObjectUsageCount count2)`
`int` | `compareTo(ObjectUsageCount count)`
`static ObjectUsageCount` | `fromString(String string)`
`int` | `getNrUses()`
`String` | `getObjectName()`
`int` | `increment()` Increment the nr of uses with 1
`void` | `reset()`
`void` | `setNrUses(int nrUses)`
`void` | `setObjectName(String objectName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ObjectUsageCount

    public ObjectUsageCount(String objectName,
                            int nrUses)

Parameters:
  `objectName` -
  `nrUses` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### fromString

    public static ObjectUsageCount fromString(String string)

### compare

    public int compare(ObjectUsageCount count1,
                       ObjectUsageCount count2)

  Specified by:
    `compare` in interface `Comparator<ObjectUsageCount>`

### compareTo

    public int compareTo(ObjectUsageCount count)

  Specified by:
    `compareTo` in interface `Comparable<ObjectUsageCount>`

### reset

    public void reset()

### increment

    public int increment()

  Increment the nr of uses with 1

  Returns:
    the nr of uses

### getNrUses

    public int getNrUses()

  Returns:
    the nrUses

### setNrUses

    public void setNrUses(int nrUses)

  Parameters:
    `nrUses` - the nrUses to set

### getObjectName

    public String getObjectName()

  Returns:
    the objectName

### setObjectName

    public void setObjectName(String objectName)

  Parameters:
    `objectName` - the objectName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD